Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.services.actions.businessservices
Class UpdateBusinessService

    java.lang.Object
      com.tibco.bpm.web.client.services.actions.businessservices.UpdateBusinessService

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, OSAction<UpdateBusinessServiceResult>, net.customware.gwt.dispatch.shared.Action<UpdateBusinessServiceResult>

    public class UpdateBusinessService

extends java.lang.Object
implements OSAction<UpdateBusinessServiceResult>

Updates a started Business Service, typically this Action is used to submit data entered by a user and complete the Business Service.

This call requires a `PageData` and `IBusinessServiceTemplate` retrieved from a call to `StartBusinessService`.

©2011 TIBCO Software Inc.

Since:
  1.2.0
See Also:
  `UpdateBusinessServiceResult`

Constructor Summary
`UpdateBusinessService(PageData item, IBusinessServiceTemplate template, java.lang.String channelId)` Constructs a new UpdateBusinessService Action

Method Summary
`java.lang.String` | `getChannelId()` The channel ID being used, for a GWT client this would typically be "openspaceGWTPull_DefaultChannel".
`PageData` | `getItem()` The `PageData` associated with the started Business Service.
`IBusinessServiceTemplate` | `getTemplate()` The `IBusinessServiceTemplate` associated with the started Business Service.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UpdateBusinessService

    public UpdateBusinessService(PageData item,
                                 IBusinessServiceTemplate template,
                                 java.lang.String channelId)

  Constructs a new UpdateBusinessService Action

  Parameters:
    `item` - The `PageData` associated with the started Business Service.
    `template` - The `IBusinessServiceTemplate` associated with the started Business Service.
    `channelId` - The channel ID being used, for a GWT client this would typically be "openspaceGWTPull_DefaultChannel".

Method Detail

### getItem

    public PageData getItem()

  The `PageData` associated with the started Business Service.

  Returns:
    Returns the item.

### getTemplate

    public IBusinessServiceTemplate getTemplate()

  The `IBusinessServiceTemplate` associated with the started Business Service.

  Returns:
    Returns the template.

### getChannelId

    public java.lang.String getChannelId()

  The channel ID being used, for a GWT client this would typically be "openspaceGWTPull_DefaultChannel".

  Returns:
    Returns the channelId.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.